curl --request POST \
--url https://api.hubapi.com/webhooks/2026-03/{appId}/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"eventType": "company.associationChange",
"eventTypeName": "<string>",
"objectTypeId": "<string>",
"propertyName": "<string>"
}
'{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "company.associationChange",
"id": "<string>",
"eventTypeName": "<string>",
"objectTypeId": "<string>",
"propertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}指定されたアプリの新しいイベント配信登録を作成します。
curl --request POST \
--url https://api.hubapi.com/webhooks/2026-03/{appId}/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"eventType": "company.associationChange",
"eventTypeName": "<string>",
"objectTypeId": "<string>",
"propertyName": "<string>"
}
'{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "company.associationChange",
"id": "<string>",
"eventTypeName": "<string>",
"objectTypeId": "<string>",
"propertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}Supported products
The access token received from the authorization server in the OAuth 2.0 flow.
ターゲットアプリのID。
配信登録が有効か停止されているかが判断されます。デフォルト値はfalseです。
待機するイベントのタイプ。「create」、「delete」、「deletedForPrivacy」、または「propertyChange」のいずれかになります。
company.associationChange, company.creation, company.deletion, company.merge, company.propertyChange, company.restore, contact.associationChange, contact.creation, contact.deletion, contact.merge, contact.privacyDeletion, contact.propertyChange, contact.restore, conversation.creation, conversation.deletion, conversation.newMessage, conversation.privacyDeletion, conversation.propertyChange, deal.associationChange, deal.creation, deal.deletion, deal.merge, deal.propertyChange, deal.restore, event.completed, line_item.associationChange, line_item.creation, line_item.deletion, line_item.merge, line_item.propertyChange, line_item.restore, object.associationChange, object.creation, object.deletion, object.merge, object.propertyChange, object.restore, product.creation, product.deletion, product.merge, product.propertyChange, product.restore, ticket.associationChange, ticket.creation, ticket.deletion, ticket.merge, ticket.propertyChange, ticket.restore 待機するイベントの名前。標準のeventType列挙値以外のカスタムイベントタイプを指定するためにカスタムオブジェクトで使用されます。
サブスクリプションのオブジェクトタイプのID。標準のCRMオブジェクト(例:「コンタクト」、「会社」、「取引」)のほか、カスタムオブジェクトサブスクリプションの場合はカスタムオブジェクトIDを指定できます。
変更をモニタリングするプロパティーの内部名。「eventType」が「propertyChange」の場合のみ適用されます。
successful operation
配信登録が有効であるか一時停止中であるか。trueの場合、配信登録でWebhook通知が送信されます。falseの場合、配信登録は一時停止中であり、通知は送信されません。
Webhook配信登録が作成された時刻のタイムスタンプ(ISO 8601形式)(例:2020-02-29T12:30:00Z)。
待機するイベントのタイプ。許容される値には、contact.creation、contact.deletion、contact.propertyChangeのほか、その他のCRMオブジェクトやカスタムオブジェクトの同様のイベントタイプが含まれます。
company.associationChange, company.creation, company.deletion, company.merge, company.propertyChange, company.restore, contact.associationChange, contact.creation, contact.deletion, contact.merge, contact.privacyDeletion, contact.propertyChange, contact.restore, conversation.creation, conversation.deletion, conversation.newMessage, conversation.privacyDeletion, conversation.propertyChange, deal.associationChange, deal.creation, deal.deletion, deal.merge, deal.propertyChange, deal.restore, event.completed, line_item.associationChange, line_item.creation, line_item.deletion, line_item.merge, line_item.propertyChange, line_item.restore, object.associationChange, object.creation, object.deletion, object.merge, object.propertyChange, object.restore, product.creation, product.deletion, product.merge, product.propertyChange, product.restore, ticket.associationChange, ticket.creation, ticket.deletion, ticket.merge, ticket.propertyChange, ticket.restore Webhook配信登録の固有ID。
待機するイベントの名前。標準のeventType列挙値以外のカスタムイベントタイプを指定するためにカスタムオブジェクトで使用されます。
サブスクリプションのオブジェクトタイプのID。標準のCRMオブジェクト(例:「コンタクト」、「会社」、「取引」)のほか、カスタムオブジェクトサブスクリプションの場合はカスタムオブジェクトIDを指定できます。
変更をモニタリングするプロパティーの内部名。eventTypeがpropertyChangeの場合のみ適用されます。
Webhook配信登録が最後に更新された時刻のタイムスタンプ(ISO 8601形式)(例:2020-02-29T12:30:00Z)。